Workflow status overview
curl --request GET \
--url https://collectwiseapi.com/status/workflow/{workflowId} \
--header 'collectwise_key: <api-key>'import requests
url = "https://collectwiseapi.com/status/workflow/{workflowId}"
headers = {"collectwise_key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {collectwise_key: '<api-key>'}};
fetch('https://collectwiseapi.com/status/workflow/{workflowId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"code": 400,
"message": "Invalid input: debtorName is required"
}{
"code": 400,
"message": "Invalid input: debtorName is required"
}{
"code": 400,
"message": "Invalid input: debtorName is required"
}{
"code": 400,
"message": "Invalid input: debtorName is required"
}{
"code": 400,
"message": "Invalid input: debtorName is required"
}Workflow
Workflow Status Overview
Provides workflow meta, totals, stage breakdown, window hours, SMS summary, and recent SMS for a workflow.
GET
/
status
/
workflow
/
{workflowId}
Workflow status overview
Example Response
{
"workflow": { "id": "197c3300-bcd5-4c0b-a8ad-535b3abbdeb0", "name": "3-day SMS Workflow" },
"totals": { "enrolled": 205, "paused": 5, "eligibleNow": 0, "queued": 200, "noNextStage": 5 },
"stages": [ { "stageName": "SMS 2", "count": 200 } ],
"windowHours": 24,
"smsSummary": { "Delivered": 200 },
"recentSms": [
{
"id": "msg_...",
"phone_number": "+15555998608",
"debtor_id": "9115e0de-01e2-416a-8b0c-4d46d9b6c032",
"content": "templateId:48 message:Hello {debtorName}...",
"created_at": "2025-09-08T20:16:01.608Z",
"status": "Delivered"
}
]
}
Authorizations
Path Parameters
Unique identifier of the workflow
Query Parameters
Lookback window in hours. Defaults to 24; clamped to [1, 8760].
Required range:
1 <= x <= 8760Specific UTC day in YYYY-MM-DD format; when provided, supersedes the hours window.
Pattern:
^\d{4}-\d{2}-\d{2}$Response
Workflow status overview returned
The response is of type object.
⌘I
